Skip to main content
POST
Get LLM response

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

project_id
string<uuid>
required

Body

application/json

Request body for fetching a live LLM response for a specific topic.

Triggers a DataForSEO AI Optimization API call to retrieve the current AI-generated response for the topic's keyword on the specified platform.

topic_id
string<uuid>
required

UUID of the GeoTopic to fetch an LLM response for.

platform
string
required

AI platform to query. One of: 'google_ai', 'chatgpt', 'perplexity', 'claude'.

Response

Successful Response

success
boolean
default:true
data
GeoLlmResponseResponse · object | null

Serialised representation of a GeoLlmResponse ORM record.